# Uses of Enum Class
org.github.jamm.MemoryMeter.Guess

Packages that use MemoryMeter.Guess
Package
Description
org.github.jamm
org.github.jamm.strategies

## Uses of MemoryMeter.Guess in org.github.jamm

Fields in org.github.jamm with type parameters of type MemoryMeter.Guess
Modifier and Type
Field
Description
`static final List<MemoryMeter.Guess>`
MemoryMeter.`BEST`
The default guesses in accuracy order.
Methods in org.github.jamm that return MemoryMeter.Guess
Modifier and Type
Method
Description
`static MemoryMeter.Guess`
MemoryMeter.Guess.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MemoryMeter.Guess[]`
MemoryMeter.Guess.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.github.jamm with parameters of type MemoryMeter.Guess
Modifier and Type
Method
Description
`boolean`
MemoryMeter.Guess.`canBeUsedAsFallbackFrom(MemoryMeter.Guess guess)`
`MemoryMeter.Builder`
MemoryMeter.Builder.`withGuessing(MemoryMeter.Guess strategy, MemoryMeter.Guess... fallbacks)`
Specify what should be the strategy used to measure the shallow size of object.
Method parameters in org.github.jamm with type arguments of type MemoryMeter.Guess
Modifier and Type
Method
Description
`static void`
MemoryMeter.Guess.`checkOrder(List<MemoryMeter.Guess> guesses)`

## Uses of MemoryMeter.Guess in org.github.jamm.strategies

Method parameters in org.github.jamm.strategies with type arguments of type MemoryMeter.Guess
Modifier and Type
Method
Description
`MemoryMeterStrategy`
MemoryMeterStrategies.`getStrategy(List<MemoryMeter.Guess> guessList)`